<!--  -->
<template>
  <div class="main-content abnormal">
    <!-- <div class="content-header">
      <span class="title">打印</span>
      <el-button type="warning" icon="el-icon-caret-left" size="mini" class="back-btn" @click="$router.back()">返回上一层</el-button>
    </div> -->
    <div class="content-body">
      <el-button type="primary" @click="toIncludeApprovalPrint">打印列入经营异常名录审批表</el-button>
      <el-button type="primary" @click="toIncludeDecisionPrint">打印列入经营异常名录决定书</el-button>
      <el-button type="primary" @click="$router.go(-1)">返回</el-button>

    </div>
  </div>
</template>

<script>
// 这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
// 例如：import 《组件名称》 from '《组件路径》';

export default {
// import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    // 这里存放数据
    return {
      bizseq: '',
      workflowId: ''
    }
  },
  // 生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {
    this.bizseq = this.$route.query.bizseq
    this.workflowId = this.$route.query.workflowId
  },
  beforeCreate() {}, // 生命周期 - 创建之前
  beforeMount() {}, // 生命周期 - 挂载之前
  beforeUpdate() {}, // 生命周期 - 更新之前
  updated() {}, // 生命周期 - 更新之后
  beforeDestroy() {}, // 生命周期 - 销毁之前
  destroyed() {}, // 生命周期 - 销毁完成
  activated() {},
  // 方法集合
  methods: {
    // 去打印列入经营异常名录审批表
    toIncludeApprovalPrint() {
      this.$router.push({ path: '/abnormal/agriculture/inclusion/includeApprovalPrint', query: { bizseq: this.bizseq, workflowId: this.workflowId }})
    },
    // 去打印列入经营异常名录决定书
    toIncludeDecisionPrint() {
      this.$router.push({ path: '/abnormal/company/inclusion/IncludeDecisionPrint', query: { bizseq: this.bizseq, workflowId: this.workflowId }})
    }
  } // 如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style lang='scss' scoped>
//@import url(); 引入公共css类
.main-content{
  padding: 10pt;
  .back-btn{
    position:absolute;
    right:40pt;
  }
  .content-header,.content-body{
    background: white;
    padding:20PX 10PX;
    border:1PX solid #eee;
  }
  .content-header{
    height:60PX;
    .title{
      font-weight: 700;
      font-size: $font-size-sub-title;
    }
  }
  .content-body{
    padding:20pt;
      .tab{
        .tab-title{
          label{
            background: $color-primary;
            display:inline-block;
            color:$color-title-color;
            padding:5px;
          }
        }
      }
    .form{
      margin-bottom: 20pt;
    }
  }
}
</style>
